Package ru.bitel.bgbilling.kernel.generator.common.bean

# Class BGGenerator

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.generator.common.bean.BGGenerator

All Implemented Interfaces:
  `Serializable`, `IIdTitle`, `GuiTitlable`, `Idable`, `ListItem`

public class BGGenerator extends IdTitle implements IIdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BGGeneratorType`
  `getGeneratorType()`
  `String`
  `getPattern()`
  `int`
  `getSequenceId()`
  `BGGenerator`
  `setGeneratorType(BGGeneratorType generatorType)`
  `BGGenerator`
  `setId(int id)`
  Устанавливает id объекта
  `BGGenerator`
  `setPattern(String pattern)`
  `BGGenerator`
  `setSequenceId(int sequenceId)`
  `BGGenerator`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.common.bean.IIdTitle

  `toIdTitle`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BGGenerator

    public BGGenerator()

- ## Method Details

  - ### getSequenceId

    public int getSequenceId()

  - ### setSequenceId

    public BGGenerator setSequenceId(int sequenceId)

  - ### getPattern

    public String getPattern()

  - ### setId

    public BGGenerator setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public BGGenerator setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setPattern

    public BGGenerator setPattern(String pattern)

  - ### getGeneratorType

    public BGGeneratorType getGeneratorType()

  - ### setGeneratorType

    public BGGenerator setGeneratorType(BGGeneratorType generatorType)